from django.conf import settings


ELK_LOGIN = getattr(settings, 'ELK_LOGIN', 'elastic')
ELK_PASS = getattr(settings, 'ELK_PASS', 'changeme')
ELK_HOST = getattr(settings, 'ELK_HOST', 'elasticsearch')
ELK_PORT = getattr(settings, 'ELK_PORT', 9200)
ELK_URL = getattr(settings, 'ELASTIC_URL', 'localhost:9200')
ELK_AGGREGATED_INDEX = getattr(settings, 'ELK_AGGREGATED_INDEX', 'aggregated-*')
REDIS_ELK_INSTANCE_KEY = 'redis_elasticsearch_instance'
CACHE_TIMEOUT = getattr(settings, 'REDIS_CACHE_TIMEOUT', 120)
ERROR_STATUS = 'err'
ELK_CONNECT_ERROR_JSON = {'status': ERROR_STATUS, 'error_message': 'Cannot establish the connection to elasticsearch'}
